/**
 Citim un șir cu maximum 255 de caractere.
 Prin "număr" înțelegem orice secvență formată din cifre
(secvență=entități aflate pe poziții vecine)

  Să determinăm numărul cu cele mai multe cifre.

  Să afișăm stringul colorând implicit (7) caracterele obișnuite,
cu verde (10) numerele și cu mov (13) numărul cu cele mai multe
cifre.
  Dacă sunt mai multe astfel de numere - doar primul

Asta e o problemă relativ tipică cu secvnențe. În cazul nostruâ
secvențele sunt format DOAR din cifre.

 Rezolvarea se face cu ajutorul unui contor inițial egal cu 0,
care determină secvența lungimii curente.
 Mai precis, la întâlnirea unei cifre contorul crește, dacă nu se
resetează la 0.
  Solutia problemei este data de maximul contorului si de indicele
la care acest maxim este atins

Ex:
suma dintre 2 și 999 este 1001 si produsul 1998 iar diferenta -997

Iata scris sub sir evolutia contorului
suma dintre 2 și 999 este 1001 si produsul 1998 iar diferenta -997
000000000000100001230000001234000000000000012340000000000000000123

Se va afisa stringul colorând cu verde toate numerele
cu excepția lui 1001 care va fi colorat cu mov.

Dacă nu-s cifre - mesaj
*/
#include <bits/stdc++.h>
#include <windows.h>
using namespace std;

HANDLE h=GetStdHandle(STD_OUTPUT_HANDLE);

int main()
{
    char s[256];
    cin.getline(s,256);
    int i,n,ls=0,lsmax=-1,imax;
    ///ls=contorul de care povesteam
    n=strlen(s);
    for(i=0;i<n;i++)
        if(isdigit(s[i]))
        {
            ls++;
            if(ls>lsmax)
            {
                lsmax=ls;
                imax=i;
            }
        }
        else
            ls=0;
    if(lsmax==-1)cout<<"Keine Ziffer / Aucun chiffre";
    else
    {
        ///dacă ar fi trebuit DOAR să afișăm secv. maximă:
        ///for(i=imax-lsmax+1;i<=imax;i++)cout<<s[i];
        for(i=0;i<n;i++)
        {
            if(i>=imax-lsmax+1 && i<=imax)
                SetConsoleTextAttribute(h,13);
            else
                if(isdigit(s[i]))
                   SetConsoleTextAttribute(h,10);
                else
                    SetConsoleTextAttribute(h,7);
            cout<<s[i];
        }
    }
    SetConsoleTextAttribute(h,7);
    return 0;
}
